Index: palm/trunk/TUTORIALS/cases/dispersion_eulerian_and_lpm_extended/INPUT/dispersion_eulerian_and_lpm_extended_p3d
===================================================================
--- palm/trunk/TUTORIALS/cases/dispersion_eulerian_and_lpm_extended/INPUT/dispersion_eulerian_and_lpm_extended_p3d	(revision 4098)
+++ palm/trunk/TUTORIALS/cases/dispersion_eulerian_and_lpm_extended/INPUT/dispersion_eulerian_and_lpm_extended_p3d	(revision 4224)
@@ -1,149 +1,193 @@
+!-------------------------------------------------------------------------------
+!-- INITIALIZATION PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/inipar
+!-------------------------------------------------------------------------------
 &initialization_parameters
+!
+!-- grid parameters
+!-------------------------------------------------------------------------------
+    nx                      = 39, ! Number of gridboxes in x-direction (nx+1)
+    ny                      = 39, ! Number of gridboxes in y-direction (ny+1)
+    nz                      = 40, ! Number of gridboxes in z-direction (nz)
 
-!-- grid setup
-    nx = 39,
-    ny = 39,
-    nz = 40,
+    dx                      = 2.0, ! Size of single gridbox in x-direction
+    dy                      = 2.0, ! Size of single gridbox in y-direction
+    dz                      = 2.0, ! Size of single gridbox in z-direction
+!
+!-- initialization
+!-------------------------------------------------------------------------------
+    initializing_actions    = 'set_constant_profiles', ! initial conditions
 
-    dx = 2.0,
-    dy = 2.0,
-    dz = 2.0,
+    ug_surface              = 1.0, ! u-comp of geostrophic wind at surface
+    vg_surface              = 0.0, ! v-comp of geostrophic wind at surface
+    
+    s_surface               = 0.0008, ! equivalent to 420ppm CO2 as background 
+                                   ! concentration
+!
+!-- boundary conditions
+!-------------------------------------------------------------------------------
+    bc_uv_t                 = 'neumann', ! free-slip boundary condition
+    
+    surface_scalarflux      = 0.02, ! kg emission per square meter and second
+    bc_s_b                  = 'neumann', ! bottom boundary condition for scalar 
+                                         ! concentration. Required with scalar 
+                                         !flux
+                                    
+    roughness_length        = 0.1, ! roughness length (in m) for momentum
+!
+!-- numerics
+!-------------------------------------------------------------------------------
+    fft_method              = 'temperton-algorithm', ! build-in fft method
+      
+    momentum_advec          = 'ws-scheme', ! default advection scheme
+    scalar_advec            = 'ws-scheme', ! default advection scheme
+!
+!-- mode
+!-------------------------------------------------------------------------------
+    neutral                 = .TRUE., ! strictly neutral flow
 
-!-- init-action
-    initializing_actions = 'set_constant_profiles',
+    passive_scalar          = .TRUE., ! switch on prognostic equation for pas. 
+                                      ! scalar
 
-!-- advection schemes
-    momentum_advec = 'ws-scheme',           ! default advection scheme
-    scalar_advec   = 'ws-scheme',
+    dp_external             = .TRUE., ! use ext. pressure gradient as driving force
+    dpdxy                   = -0.0002, 0.0, ! external pressure gradient applied 
+                                            ! in x- and y-direction (Pa/m)
+!
+!-- physics
+!-------------------------------------------------------------------------------
+    omega                   = 0.0, ! angular velocity of the rotating system, 
+                                   ! no Coriolis force
+!
+!-- topography
+!-------------------------------------------------------------------------------
+    topography              = 'read_from_file', ! ASCII Input file contains the  
+                                                ! arbitrary topography height 
+                                                ! information in m.
+                                   
+/ ! end of initialization parameter namelist
 
-!-- wind speed setup
-    ug_surface = 1.0,
-    vg_surface = 0.0,
+!-------------------------------------------------------------------------------
+!-- RUNTIME PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/d3par
+!-------------------------------------------------------------------------------
+&runtime_parameters
+!
+!-- run steering
+!-------------------------------------------------------------------------------
+    end_time                = 10800.0, ! simulation time of the 3D model
 
-!-- temperature setup
-    neutral = .T.,                          ! strictly neutral flow
+    create_disturbances     = .TRUE., ! randomly perturbate horiz. velocity
+!
+!-- data output
+!-------------------------------------------------------------------------------
+    skip_time_data_output   =    0.0, ! no data output before this time interval
+    dt_data_output          = 3600.0, ! output interval for general data
 
-!-- tracer setup
-    passive_scalar     = .T.,
-    s_surface          = 0.0008,            !equivalent to 420ppm CO2 as background concentration
-    surface_scalarflux = 0.02,              !kg emission per square meter and second
-    bc_s_b             = 'neumann',
+    averaging_interval      = 3600.0, ! averaging interval general data
+    dt_averaging_input      =    6.0, ! general data sampling rate for averaging
 
-!-- boundary conditions
-    bc_uv_t = 'neumann',                    ! free-slip boundary condition
-    roughness_length = 0.1,                 ! applies to all surfaces locally
+    dt_run_control          =  6.0, ! output interval for run control
+    dt_dots                 =  6.0, ! output interval for time series
 
-!-- special methods
-    dp_external = .T.,                      ! use horizontal pressure gradient
-    dpdxy = -0.0002, 0.0,                   ! for forcing
+    skip_time_dopr          =    0.0, ! no profile data output before this time 
+                                      ! interval
+    dt_dopr                 = 3600.0, ! output interval for profile data
+    averaging_interval_pr   = 3600.0, ! averaging interval profile data
+    dt_averaging_input_pr   =    6.0, ! profile data sampling rate for averaging
 
-!-- special setups
-    omega = 0.0,                            ! no Coriolis force
+    do3d_at_begin           = .TRUE., ! output of 3d volume data at the beginning
+    do2d_at_begin           = .TRUE., ! output of 2d data at the beginning
 
-    topography = 'read_from_file',
-    topography_grid_convention = 'cell_center',   ! default
-/
+    dt_do2d_xy              = 3600.0, ! output interval for xy cross sections
+    dt_do2d_xz              = 3600.0, ! output interval for xz cross sections
+
+    data_output_pr          = '#u', 'u*2', 'wu', 'w*u*', 'w"u"',
+                              '#v', 'v*2', 'wv', 'w*v*', 'w"v"',
+                              'w', 'w*2',
+                              'e', 'e*',
+                              '#km',
+                              '#l',
+                              '#s', 'ws', 'w*s*', 'w"s"', ! profile output
+
+    data_output             = 'u', 'u_av',
+                              'u_xy', 'u_xz', 'u_xz_av',
+                              'v', 'v_av',
+                              'w', 'w_av',
+                              's', 's_av',
+                              'ssws*_xy',
+                              'pc', 'pc_av', 
+                              'pc_xy', 'pc_xz', 'pc_xz_av', ! 2d and/or 3d 
+                                                            ! output
+                  
+    section_xy              = -1, 21, 22, 23, ! grid index for 2D XY cross 
+                                              ! sections
+    section_xz              = -1, 17, 18, 19, ! grid index for 2D XZ cross 
+                                              ! sections
+
+/ ! end of runtime parameter namelist
+
+!-------------------------------------------------------------------------------
+!-- PARTICLE PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/parpar
+!-------------------------------------------------------------------------------
+&particle_parameters
+!
+!-- boundary conditions for particle transport
+!-------------------------------------------------------------------------------
+    bc_par_lr               = 'absorb', ! lateral boundary condition
+    bc_par_b                = 'reflect', ! bottom boundary condition 
+    bc_par_t                = 'reflect', ! top boundary condition 
+!
+!-- define point source
+!-------------------------------------------------------------------------------
+    psb                     = 45.0, ! bottom edge of a particle source  
+    pst                     = 45.0, ! top edge of a particle source 
+    pss                     = 40.0, ! front ("south") edge of a particle source
+    psn                     = 40.0, ! rear ("north") edge of a particle source
+    psl                     = 25.0, ! left edge of a particle source 
+    psr                     = 25.0, ! right edge of a particle source 
+    
+    particles_per_point     = 100, ! particles per point (default = 1)
+    
+    random_start_position   = .FALSE., ! add random fluctuations for initial 
+                                       ! particle position 
+!
+!-- define time variables of particle relaese
+!-------------------------------------------------------------------------------
+    dt_prel                 = 1.0, ! time after new particle set is released
+    
+    step_dealloc            = 50, ! time steps after arrays are deallocated
+    
+    particle_maximum_age    = 200.0, ! maximum allowed age of particles in s
+!
+!-- physics of particles
+!------------------------------------------------------------------------------- 
+    use_sgs_for_particles   = .TRUE., ! SGS-velocities for particles 
+!
+!-- particle output
+!-------------------------------------------------------------------------------
+    dt_dopts                = 10.0, ! output interval for particle quantities
+ 
+/ ! end of particle parameter namelist
+
+!-------------------------------------------------------------------------------
+!-- USER PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/userpar
+!-------------------------------------------------------------------------------
+&user_parameters
+!
+!-- definition of emission stripe
+!-------------------------------------------------------------------------------
+    emission_stripe_width_y = 6.0, ! width of emission stripe in meters
+    emission_stripe_orig_y  = 12.0, 62.0, ! origin of emission stripe in meters
+!
+!-- defition of time series output
+!-------------------------------------------------------------------------------
+    s_ts_pos_x              = 17.0, 61.0, 75.0, ! x position of scalar time 
+                                                ! series output
+    s_ts_pos_y              = 25.0, 15.0, 41.0, ! y-position of scalar time 
+                                                ! series output
+           
+/ ! end of user parameter namelist
 
 
-&runtime_parameters
-
-!-- simulation time
-    end_time                = 10800.0,
-    termination_time_needed =   900.0,
-
-!-- others
-    create_disturbances = .T.,
-
-!-- global output settings
-    skip_time_data_output =    0.0,
-    dt_data_output        = 3600.0,
-
-    averaging_interval    = 3600.0,
-    dt_averaging_input    =    6.0,
-
-!-- time series / run control
-    dt_run_control        =  6.0,
-    dt_dots               =  6.0,
-
-!-- profiles
-    skip_time_dopr        =    0.0,
-    dt_dopr               = 3600.0,
-    averaging_interval_pr = 3600.0,
-    dt_averaging_input_pr =    6.0,
-
-    do3d_at_begin         = .TRUE.,
-    do2d_at_begin         = .TRUE.,
-
-    dt_do2d_xy            = 3600.0,
-    dt_do2d_xz            = 3600.0,
-
-    data_output_pr = '#u', 'u*2', 'wu', 'w*u*', 'w"u"',
-                     '#v', 'v*2', 'wv', 'w*v*', 'w"v"',
-                     'w', 'w*2',
-                     'e', 'e*',
-                     '#km',
-                     '#l',
-                     '#s', 'ws', 'w*s*', 'w"s"', 
-
-!-- output variables
-    data_output = 'u', 'u_av',
-                  'u_xy', 'u_xz', 'u_xz_av',
-                  'v', 'v_av',
-                  'w', 'w_av',
-                  's', 's_av',
-                  'ssws*_xy',
-                  'pc', 'pc_av', 'pc_xy', 'pc_xz', 'pc_xz_av',
-                  
-
-    section_xy = -1,21,22,23,
-    section_xz = -1,17,18,19,
-
-/
-
-&particle_parameters
-
-!-- Boundary conditions for particles
-    bc_par_lr = 'absorb',
-    bc_par_b  = 'reflect',
-    bc_par_t  = 'reflect', 
-
-!-- Define point source
-    psb = 45.0,  
-    pst = 45.0, 
-    pss = 40.0,
-    psn = 40.0,
-    psl = 25.0, 
-    psr = 25.0, 
-
-!-- Time after new particle set is released 
-    dt_prel = 1.0,
-
-!-- Time steps after array are deallocated
-    step_dealloc = 50,
-
-!-- Particles per point (default = 1)
-    particles_per_point = 100,
-
-!-- Maximum time for particles
-    particle_maximum_age = 200.0,
-
-!-- Add random fluctuations for initial particle position
-    random_start_position = .FALSE.,
-
-!-- SGS-velocities for particles 
-    use_sgs_for_particles = .TRUE., 
-
-!-- Particle time series interval
-    dt_dopts = 10.0, 
-
-/
-
-&user_parameters
-    emission_stripe_width_y = 6.0,  !in meters
-    emission_stripe_orig_y  = 12.0, 62.0,  !in meters
-    s_ts_pos_x = 17.0, 61.0, 75.0,
-    s_ts_pos_y = 25.0, 15.0, 41.0,
-           
-/
-
-