Index: palm/trunk/TESTS/cases/urban_environment_salsa/INPUT/urban_environment_salsa_p3d
===================================================================
--- palm/trunk/TESTS/cases/urban_environment_salsa/INPUT/urban_environment_salsa_p3d	(revision 4131)
+++ palm/trunk/TESTS/cases/urban_environment_salsa/INPUT/urban_environment_salsa_p3d	(revision 4227)
@@ -37,6 +37,5 @@
     vg_surface           = 0.0,
 
-    day_of_year_init     = 65,             ! march 06, to avoid extreme temperatures
-    time_utc_init        = 36000.0,        ! (0.0 s = 00 UTC midnight),
+    origin_date_time     = '2019-03-06 10:00:00 +00'
 
 !
Index: palm/trunk/TESTS/cases/urban_environment_salsa/MONITORING/urban_environment_salsa_rc
===================================================================
--- palm/trunk/TESTS/cases/urban_environment_salsa/MONITORING/urban_environment_salsa_rc	(revision 4131)
+++ palm/trunk/TESTS/cases/urban_environment_salsa/MONITORING/urban_environment_salsa_rc	(revision 4227)
@@ -1,9 +1,9 @@
 
  ******************************    --------------------------------------------
- * PALM 6.0  Rev: 3915M       *    atmosphere - run without 1D - prerun
+ * PALM 6.0  Rev: 4222M       *    atmosphere - run without 1D - prerun
  ******************************    --------------------------------------------
 
- Date:               2019-07-18    Run:       urban_environment_salsa__gfortran_
- Time:                 11:55:24    Run-No.:   00
+ Date:               2019-09-10    Run:       urban_environment_salsa__gfortran_
+ Time:                 17:55:12    Run-No.:   00
  Run on host:        gfortran_d
  Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
@@ -145,21 +145,13 @@
        Profile: u, u*2, wu, w*u*, w"u", v, v*2, wv, w*v*, w"v", theta,       
 
-              : theta*2, wtheta, w*theta*, w"theta", q, q*2,                 
+              : theta*2, wtheta, w*theta*, w"theta", q, q*2, salsa_Ntot,     
+
+              : salsa_N_UFP, salsa_LDSA, salsa_PM0.1, salsa_PM2.5, salsa_PM10
+
+              :                                                              
        Output every                60.00 s
        Time averaged over          60.00 s
        Averaging input every        0.00 s
 
-    3D-Arrays:
-       Output format: netCDF 64bit offset                     
-
-
-       Arrays:  u, v, w, Ntot, PM2.5, LDSA, s_OC, g_OCNV, g_OCSV, N_bin3, m_bin4,    
-       Output every                10.00 s  and at the start
-       Upper output limit at       45.00 m  (GP   23)
-
-
-       Number of output time levels allowed: unlimited
-
-
     Time series:
        Output format: netCDF 64bit offset                     
@@ -173,12 +165,12 @@
  -------------------
 
-    Geograph. latitude  :   latitude  = 52.5 degr
-    Geograph. longitude :   longitude = 13.3 degr
+    Geograph. latitude  :   latitude  =  52.5 degr
+    Geograph. longitude :   longitude =  13.3 degr
+    Rotation angle      :   rotation_angle =   0.0 degr
     Angular velocity    :   omega  = 0.729E-04 rad/s
     Coriolis parameter  :   f      =  0.000116 1/s
                             f*     =  0.000089 1/s
 
-    Day of the year at model start :   day_init      =      65
-    UTC time at model start        :   time_utc_init = 36000.0 s
+    Date and time at model start : 2019-03-06 10:00:00 +00
 
     Gravity             :   g      =  9.8 m/s**2
@@ -282,5 +274,5 @@
     Aerosol bin subrange limits (in metres):  3.00E-009 1.00E-008 2.50E-006
     Number of size bins for each aerosol subrange:   1  7
-    Aerosol bin limits (in metres):  3.00E-009 1.00E-008 2.20E-008 4.84E-008 1.07E-007 2.35E-007 5.16E-007 1.14E-006
+    Aerosol bin limits (in metres):  0.00E+000 0.00E+000 0.00E+000 0.00E+000 0.00E+000 0.00E+000 0.00E+000 0.00E+000
     Initial number concentration in bins at the lowest level (#/m**3): 1.19E+008 9.63E+008 5.30E+008 1.96E+008 6.13E+007 6.01E+006 1.95E+005 1.25E+004
 
@@ -343,17 +335,17 @@
   0      5 00:00:05.65   1.1400A   1.5788   1.0336   1.0182  0.091  0.00  -0.495E+00      4.  0.335E+00  0.595E-01  0.514E-02  0.145E-02   16   0   2    6   5  14   15   1  14    0.000    0.000       0
   0      6 00:00:06.79   1.1900A   1.5169   1.0134   0.9996  0.089  0.00  -0.525E+00      4.  0.332E+00  0.606E-01  0.512E-02  0.144E-02   16   0   2    6   5  14   15   1  14    0.000    0.000       0
-  0      7 00:00:07.98   1.2200A   1.4729   0.9879   0.9790  0.088  0.00  -0.546E+00      4.  0.329E+00  0.616E-01  0.522E-02  0.145E-02   16   1  15    6   5  14   15   1  14    0.000    0.000       0
+  0      7 00:00:07.98   1.2200A   1.4729   0.9879   0.9791  0.088  0.00  -0.546E+00      4.  0.329E+00  0.616E-01  0.522E-02  0.145E-02   16   1  15    6   5  14   15   1  14    0.000    0.000       0
   0      8 00:00:09.20   1.2400A   1.4512   0.9609   0.9619  0.087  0.00  -0.537E+00      4.  0.326E+00  0.628E-01  0.527E-02  0.146E-02   16   1  15    6   5  14   15   2  14    0.000    0.000       0
   0      9 00:00:10.44   1.2600A   1.4301   0.9376   0.9485  0.085  0.00  -0.507E+00      4.  0.323E+00  0.640E-01  0.529E-02  0.146E-02   16   1  15   10   5  14   15   2  14    0.000    0.000       0
   0     10 00:00:11.70   1.2800A   1.4106   0.9225   0.9363  0.084  0.00  -0.494E+00      4.  0.321E+00  0.652E-01  0.534E-02  0.146E-02   16   1  15   10   5  14   15   2  14    0.000    0.000       0
   0     11 00:00:12.98   1.2900A   1.3930   0.9100   0.9248  0.083  0.00  -0.491E+00      4.  0.318E+00  0.664E-01  0.542E-02  0.146E-02   16   1  15    3   5  14   15   2  14    0.000    0.000       0
-  0     12 00:00:14.27   1.3100A   1.3775   0.8963   0.9141  0.083  0.00  -0.484E+00      4.  0.316E+00  0.677E-01  0.545E-02  0.145E-02   16   1  15    3   5  14   15   2  14    0.000    0.000       0
+  0     12 00:00:14.27   1.3100A   1.3776   0.8963   0.9141  0.083  0.00  -0.484E+00      4.  0.316E+00  0.677E-01  0.545E-02  0.145E-02   16   1  15    3   5  14   15   2  14    0.000    0.000       0
   0     13 00:00:15.58   1.3200A   1.3623   0.8811   0.9030  0.082  0.00  -0.484E+00      4.  0.313E+00  0.690E-01  0.550E-02  0.146E-02   16   1  15    8   5  14   15   2  14    0.000    0.000       0
-  0     14 00:00:16.90   1.3400A   1.3479   0.8687   0.8921  0.081  0.00  -0.480E+00      4.  0.311E+00  0.704E-01  0.552E-02  0.145E-02   16   1  15    8   5  14   15   2  14    0.000    0.000       0
+  0     14 00:00:16.90   1.3400A   1.3479   0.8688   0.8921  0.081  0.00  -0.480E+00      4.  0.311E+00  0.704E-01  0.552E-02  0.145E-02   16   1  15    8   5  14   15   2  14    0.000    0.000       0
   0     15 00:00:18.24   1.3500A   1.3331   0.8549   0.8804  0.080  0.00  -0.476E+00      4.  0.309E+00  0.717E-01  0.556E-02  0.145E-02   16   1  15    8   5  14   15   2  14    0.000    0.000       0
-  0     16 00:00:19.59   1.3600A   1.3189  -0.8432   0.8687  0.079  0.00  -0.475E+00      4.  0.306E+00  0.731E-01  0.556E-02  0.143E-02   16   1  15    7   3   5   15   2  14    0.000    0.000       0
-  0     17 00:00:20.95   1.3800A   1.3050  -0.8518   0.8567  0.079  0.00  -0.474E+00      4.  0.304E+00  0.744E-01  0.554E-02  0.141E-02   16   1  15    7   3   5   15   2  14    0.000    0.000       0
-  0     18 00:00:22.33   1.3900A   1.2904  -0.8451   0.8440  0.078  0.00  -0.477E+00      4.  0.302E+00  0.758E-01  0.555E-02  0.140E-02   16   1  15    7   3   5   15   2  14    0.000    0.000       0
-  0     19 00:00:23.72   1.4100A   1.2763  -0.8250   0.8316  0.077  0.00  -0.477E+00      4.  0.300E+00  0.772E-01  0.553E-02  0.137E-02   16   1  15    7   3   6   15   2  14    0.000    0.000       0
+  0     16 00:00:19.59   1.3600A   1.3189  -0.8433   0.8687  0.079  0.00  -0.475E+00      4.  0.306E+00  0.731E-01  0.556E-02  0.143E-02   16   1  15    7   3   5   15   2  14    0.000    0.000       0
+  0     17 00:00:20.95   1.3800A   1.3050  -0.8519   0.8567  0.079  0.00  -0.474E+00      4.  0.304E+00  0.744E-01  0.554E-02  0.141E-02   16   1  15    7   3   5   15   2  14    0.000    0.000       0
+  0     18 00:00:22.33   1.3900A   1.2904  -0.8451   0.8441  0.078  0.00  -0.477E+00      4.  0.302E+00  0.758E-01  0.555E-02  0.140E-02   16   1  15    7   3   5   15   2  14    0.000    0.000       0
+  0     19 00:00:23.72   1.4100A   1.2763  -0.8250   0.8317  0.077  0.00  -0.477E+00      4.  0.300E+00  0.772E-01  0.553E-02  0.137E-02   16   1  15    7   3   6   15   2  14    0.000    0.000       0
   0     20 00:00:25.13   1.4300A   1.2618  -0.8139   0.8189  0.077  0.00  -0.481E+00      4.  0.298E+00  0.785E-01  0.552E-02  0.135E-02   16   1  15    7   3   6   15   2  14    0.000    0.000       0
   0     21 00:00:26.56   1.4400A   1.2475   0.7696   0.8062  0.076  0.00  -0.486E+00      4.  0.296E+00  0.799E-01  0.551E-02  0.133E-02   16   1  15   11   5  14   15   2  14    0.000    0.000       0
@@ -361,32 +353,32 @@
   0     23 00:00:29.45   1.4500A   1.2384   0.7470   0.7814  0.076  0.00  -0.471E+00      4.  0.293E+00  0.827E-01  0.540E-02  0.126E-02   10   7   3   12   5  14   15   2  14    0.000    0.000       0
   0     24 00:00:30.90   1.4600A   1.2345   0.7384   0.7685  0.075  0.00  -0.470E+00      6.  0.291E+00  0.841E-01  0.530E-02  0.122E-02   11   7   3   12   5  14   15   2  14    0.000    0.000       0
-  0     25 00:00:32.36   1.4600A   1.2300   0.7299   0.7761  0.075  0.00  -0.470E+00      6.  0.290E+00  0.855E-01  0.523E-02  0.118E-02   11   7   3   12   5  14   10  14   4    0.000    0.000       0
-  0     26 00:00:33.82   1.4600A   1.2308   0.7216   0.8159  0.075  0.00  -0.472E+00      6.  0.288E+00  0.868E-01  0.513E-02  0.113E-02   18   2   5   12   5  14    6   2   5    0.000    0.000       0
-  0     27 00:00:35.28   1.4500A   1.2382   0.7121   0.8578  0.074  0.00  -0.470E+00      6.  0.287E+00  0.882E-01  0.503E-02  0.109E-02   18   2   5   12   5  14   10  14   4    0.000    0.000       0
-  0     28 00:00:36.74   1.4500A   1.2442   0.7006   0.9020  0.074  0.00  -0.471E+00      6.  0.285E+00  0.896E-01  0.492E-02  0.104E-02   18   2   5   12   5  14   10  14   4    0.000    0.000       0
-  0     29 00:00:38.19   1.4400A   1.2487   0.6854   0.9550  0.074  0.00  -0.470E+00      6.  0.284E+00  0.909E-01  0.484E-02  0.100E-02   18   2   5   12   5  14   11  14   4    0.000    0.000       0
-  0     30 00:00:39.63   1.4400A   1.2512   0.6695   1.0071  0.074  0.00  -0.470E+00      6.  0.283E+00  0.923E-01  0.473E-02  0.955E-03   18   2   5   11   5  14   11  14   4    0.000    0.000       0
-  0     31 00:00:41.07   1.4400A   1.2532   0.6498   1.0523  0.074  0.00  -0.471E+00      6.  0.282E+00  0.937E-01  0.466E-02  0.916E-03   18   2   6   11   5  14   11  14   4    0.000    0.000       0
-  0     32 00:00:42.51   1.4300A   1.2566   0.6250   1.0930  0.073  0.00  -0.471E+00      6.  0.281E+00  0.950E-01  0.458E-02  0.878E-03   18   2   6   11   5  14   12  14   4    0.000    0.000       0
-  0     33 00:00:43.94   1.4400A   1.2540  -0.6220   1.1445  0.073  0.00  -0.472E+00      6.  0.281E+00  0.964E-01  0.448E-02  0.835E-03   18   2   6    6   4   9   12  14   4    0.000    0.000       0
-  0     34 00:00:45.38   1.4500A   1.2448  -0.6267   1.1869  0.073  0.00  -0.474E+00      6.  0.280E+00  0.978E-01  0.443E-02  0.800E-03   18   2   6    6   3  10   11  14   3    0.000    0.000       0
-  0     35 00:00:46.83   1.4600A   1.2295  -0.6599   1.2295  0.073  0.00  -0.478E+00      6.  0.279E+00  0.991E-01  0.440E-02  0.762E-03   18   2   6    6   3  10   13  14   4    0.000    0.000       0
-  0     36 00:00:48.29   1.4200A   1.2284  -0.6893   1.2693  0.073  0.00  -0.491E+00      6.  0.279E+00  0.101E+00  0.437E-02  0.722E-03   18   3   6    6   3  10   13  14   4    0.000    0.000       0
-  0     37 00:00:49.71   1.3900A   1.2317  -0.7097   1.2979  0.073  0.00  -0.483E+00      6.  0.278E+00  0.102E+00  0.421E-02  0.664E-03   18   3   6    6   3  10   14  14   4    0.000    0.000       0
-  0     38 00:00:51.10   1.3400A   1.2352  -0.7189   1.3408  0.072  0.00  -0.484E+00      6.  0.278E+00  0.103E+00  0.409E-02  0.610E-03   18   3   7    5   4  10   14  14   4    0.000    0.000       0
-  0     39 00:00:52.44   1.3300A   1.2407  -0.7297   1.3579  0.072  0.00  -0.486E+00     10.  0.278E+00  0.104E+00  0.394E-02  0.555E-03   18   3   7    5   4  10   14  14   4    0.000    0.000       0
-  0     40 00:00:53.77   1.3100A   1.2409  -0.7377   1.3755  0.072  0.00  -0.489E+00     10.  0.277E+00  0.106E+00  0.390E-02  0.518E-03   18   3   7    5   4  10   15  14   4    0.000    0.000       0
-  0     41 00:00:55.08   1.2800A   1.2350  -0.7511   1.4073  0.072  0.00  -0.491E+00     10.  0.277E+00  0.107E+00  0.384E-02  0.482E-03   18   3   7    6   3  11   15  14   4    0.000    0.000       0
-  0     42 00:00:56.36   1.2400A   1.2236  -0.7699   1.4496  0.072  0.00  -0.495E+00     10.  0.277E+00  0.108E+00  0.376E-02  0.447E-03   18   3   7    6   3  11   13  14   4    0.000    0.000       0
-  0     43 00:00:57.60   1.2000A   1.2192  -0.8033   1.5042  0.072  0.00  -0.499E+00     10.  0.277E+00  0.109E+00  0.367E-02  0.412E-03   18   3   8    5   4  11   13  14   4    0.000    0.000       0
-  0     44 00:00:58.80   1.1700A   1.2092  -0.8353   1.5335  0.072  0.00  -0.504E+00     10.  0.277E+00  0.110E+00  0.357E-02  0.381E-03   18   3   8    5   4  11   13  14   4    0.000    0.000       0
-  0     45 00:00:59.97   1.1600A   1.1986  -0.8607   1.5492  0.071  0.00  -0.506E+00     10.  0.277E+00  0.111E+00  0.350E-02  0.357E-03   19   2   8    5   4  11   14  14   4    0.000    0.000       0
+  0     25 00:00:32.36   1.4600A   1.2301   0.7299   0.7760  0.075  0.00  -0.470E+00      6.  0.290E+00  0.855E-01  0.523E-02  0.118E-02   11   7   3   12   5  14   10  14   4    0.000    0.000       0
+  0     26 00:00:33.82   1.4600A   1.2308   0.7216   0.8160  0.075  0.00  -0.472E+00      6.  0.288E+00  0.868E-01  0.513E-02  0.113E-02   18   2   5   12   5  14    6   2   5    0.000    0.000       0
+  0     27 00:00:35.28   1.4500A   1.2382   0.7121   0.8576  0.074  0.00  -0.470E+00      6.  0.287E+00  0.882E-01  0.503E-02  0.109E-02   18   2   5   12   5  14   10  14   4    0.000    0.000       0
+  0     28 00:00:36.74   1.4500A   1.2442   0.7006   0.9018  0.074  0.00  -0.471E+00      6.  0.285E+00  0.896E-01  0.492E-02  0.104E-02   18   2   5   12   5  14   10  14   4    0.000    0.000       0
+  0     29 00:00:38.19   1.4400A   1.2487   0.6854   0.9548  0.074  0.00  -0.470E+00      6.  0.284E+00  0.909E-01  0.484E-02  0.100E-02   18   2   5   12   5  14   11  14   4    0.000    0.000       0
+  0     30 00:00:39.63   1.4400A   1.2512   0.6695   1.0068  0.074  0.00  -0.470E+00      6.  0.283E+00  0.923E-01  0.473E-02  0.955E-03   18   2   5   11   5  14   11  14   4    0.000    0.000       0
+  0     31 00:00:41.07   1.4400A   1.2532   0.6498   1.0521  0.074  0.00  -0.471E+00      6.  0.282E+00  0.937E-01  0.466E-02  0.916E-03   18   2   6   11   5  14   11  14   4    0.000    0.000       0
+  0     32 00:00:42.51   1.4300A   1.2566   0.6250   1.0927  0.073  0.00  -0.472E+00      6.  0.281E+00  0.950E-01  0.458E-02  0.878E-03   18   2   6   11   5  14   12  14   4    0.000    0.000       0
+  0     33 00:00:43.94   1.4400A   1.2540  -0.6221   1.1443  0.073  0.00  -0.472E+00      6.  0.281E+00  0.964E-01  0.448E-02  0.836E-03   18   2   6    6   4   9   12  14   4    0.000    0.000       0
+  0     34 00:00:45.38   1.4500A   1.2448  -0.6268   1.1866  0.073  0.00  -0.474E+00      6.  0.280E+00  0.978E-01  0.443E-02  0.800E-03   18   2   6    6   3  10   11  14   3    0.000    0.000       0
+  0     35 00:00:46.83   1.4600A   1.2295  -0.6599   1.2292  0.073  0.00  -0.478E+00      6.  0.279E+00  0.991E-01  0.440E-02  0.762E-03   18   2   6    6   3  10   13  14   4    0.000    0.000       0
+  0     36 00:00:48.29   1.4200A   1.2284  -0.6893   1.2690  0.073  0.00  -0.491E+00      6.  0.279E+00  0.101E+00  0.437E-02  0.722E-03   18   3   6    6   3  10   13  14   4    0.000    0.000       0
+  0     37 00:00:49.71   1.3900A   1.2317  -0.7097   1.2975  0.073  0.00  -0.483E+00      6.  0.278E+00  0.102E+00  0.421E-02  0.664E-03   18   3   6    6   3  10   14  14   4    0.000    0.000       0
+  0     38 00:00:51.10   1.3400A   1.2352  -0.7189   1.3405  0.072  0.00  -0.484E+00      6.  0.278E+00  0.103E+00  0.409E-02  0.610E-03   18   3   7    5   4  10   14  14   4    0.000    0.000       0
+  0     39 00:00:52.44   1.3300A   1.2407  -0.7297   1.3576  0.072  0.00  -0.486E+00     10.  0.278E+00  0.104E+00  0.394E-02  0.555E-03   18   3   7    5   4  10   14  14   4    0.000    0.000       0
+  0     40 00:00:53.77   1.3100A   1.2409  -0.7377   1.3750  0.072  0.00  -0.489E+00     10.  0.277E+00  0.106E+00  0.390E-02  0.518E-03   18   3   7    5   4  10   15  14   4    0.000    0.000       0
+  0     41 00:00:55.08   1.2800A   1.2350  -0.7511   1.4069  0.072  0.00  -0.491E+00     10.  0.277E+00  0.107E+00  0.384E-02  0.482E-03   18   3   7    6   3  11   15  14   4    0.000    0.000       0
+  0     42 00:00:56.36   1.2400A   1.2236  -0.7700   1.4491  0.072  0.00  -0.495E+00     10.  0.277E+00  0.108E+00  0.376E-02  0.447E-03   18   3   7    6   3  11   13  14   4    0.000    0.000       0
+  0     43 00:00:57.60   1.2000A   1.2191  -0.8032   1.5038  0.072  0.00  -0.499E+00     10.  0.277E+00  0.109E+00  0.367E-02  0.412E-03   18   3   8    5   4  11   13  14   4    0.000    0.000       0
+  0     44 00:00:58.80   1.1700A   1.2092  -0.8353   1.5332  0.072  0.00  -0.504E+00     10.  0.277E+00  0.110E+00  0.357E-02  0.381E-03   18   3   8    5   4  11   13  14   4    0.000    0.000       0
+  0     45 00:00:59.97   1.1600A   1.1987  -0.8607   1.5490  0.071  0.00  -0.506E+00     10.  0.277E+00  0.111E+00  0.350E-02  0.357E-03   19   2   8    5   4  11   14  14   4    0.000    0.000       0
   0     46 00:01:01.13   1.1700A   1.1972  -0.8763   1.5335  0.071  0.00  -0.506E+00     10.  0.276E+00  0.111E+00  0.349E-02  0.341E-03    6   6  10    5   4  11   14  14   4    0.000    0.000       0
-  0     47 00:01:02.30   1.2200A   1.1998  -0.8795   1.4801  0.071  0.00  -0.505E+00     10.  0.276E+00  0.112E+00  0.355E-02  0.333E-03    6   6  10    5   4  11   14  14   4    0.000    0.000       0
-  0     48 00:01:03.52   1.2800A   1.1981  -0.8845   1.4107  0.071  0.00  -0.506E+00     10.  0.276E+00  0.113E+00  0.374E-02  0.340E-03    6   6  10    4   4  11   11  14   5    0.000    0.000       0
-  0     49 00:01:04.80   1.2100A   1.1916  -0.8816   1.4919  0.071  0.00  -0.507E+00     10.  0.276E+00  0.114E+00  0.400E-02  0.356E-03    6   6  10    4   4  11   12  14   5    0.000    0.000       0
-  0     50 00:01:06.01   1.1600A   1.1878  -0.8667   1.5556  0.071  0.00  -0.506E+00     10.  0.276E+00  0.114E+00  0.389E-02  0.348E-03   13  11   9    4   4  11   13  14   5    0.000    0.000       0
-  0     51 00:01:07.17   1.1400A   1.1899  -0.8906   1.5803  0.071  0.07  -0.505E+00     10.  0.276E+00  0.115E+00  0.382E-02  0.342E-03   13  11  10    5   3  12   14  14   5    0.000    0.000       0
-  0     52 00:01:08.31   1.1400A   1.1965  -0.9240   1.5796  0.071  0.09  -0.505E+00     10.  0.275E+00  0.115E+00  0.383E-02  0.342E-03   13  11  10    5   3  12   14  14   5    0.000    0.000       0
-  0     53 00:01:09.45   1.1800A   1.2005  -0.9454   1.5251  0.071  0.10  -0.504E+00     10.  0.275E+00  0.116E+00  0.391E-02  0.350E-03   13  11  10    4   4  12   15  14   5    0.000    0.000       0
-  0     54 00:01:10.63   1.2500A   1.2110  -0.9545   1.4391  0.071  0.10  -0.504E+00     10.  0.275E+00  0.116E+00  0.413E-02  0.370E-03   13  12  11    4   4  12   15  14   5    0.000    0.000       0
+  0     47 00:01:02.30   1.2200A   1.1998  -0.8796   1.4803  0.071  0.00  -0.505E+00     10.  0.276E+00  0.112E+00  0.355E-02  0.333E-03    6   6  10    5   4  11   14  14   4    0.000    0.000       0
+  0     48 00:01:03.52   1.2800A   1.1981  -0.8845   1.4101  0.071  0.00  -0.506E+00     10.  0.276E+00  0.113E+00  0.374E-02  0.340E-03    6   6  10    4   4  11   11  14   5    0.000    0.000       0
+  0     49 00:01:04.80   1.2100A   1.1916  -0.8816   1.4913  0.071  0.00  -0.506E+00     10.  0.276E+00  0.114E+00  0.400E-02  0.356E-03    6   6  10    4   4  11   12  14   5    0.000    0.000       0
+  0     50 00:01:06.01   1.1600A   1.1878  -0.8666   1.5551  0.071  0.00  -0.506E+00     10.  0.276E+00  0.114E+00  0.389E-02  0.348E-03   13  11   9    4   4  11   13  14   5    0.000    0.000       0
+  0     51 00:01:07.17   1.1400A   1.1899  -0.8906   1.5798  0.071  0.07  -0.505E+00     10.  0.276E+00  0.115E+00  0.382E-02  0.342E-03   13  11  10    5   3  12   14  14   5    0.000    0.000       0
+  0     52 00:01:08.31   1.1400A   1.1965  -0.9240   1.5795  0.071  0.09  -0.505E+00     10.  0.275E+00  0.115E+00  0.383E-02  0.342E-03   13  11  10    5   3  12   14  14   5    0.000    0.000       0
+  0     53 00:01:09.45   1.1800A   1.2005  -0.9455   1.5252  0.071  0.10  -0.504E+00     10.  0.275E+00  0.116E+00  0.391E-02  0.350E-03   13  11  10    4   4  12   15  14   5    0.000    0.000       0
+  0     54 00:01:10.63   1.2500A   1.2110  -0.9546   1.4396  0.071  0.10  -0.504E+00     10.  0.275E+00  0.116E+00  0.413E-02  0.370E-03   13  12  11    4   4  12   15  14   5    0.000    0.000       0